Subject: Re: bug#48659: Escapes are deleted after executing "dired-toggle-read-only" in *Find* buffer

From: Michael Heerdegen <[email-masked]>
Date: Thu, 27 May 2021 15:50:55 +0200

Robert Pluim <[email-masked]> writes:

> I can reproduce this on Debian 10, with:
>
> find --version
> find (GNU findutils) 4.8.0
>
> Something is definitely going wrong, because after exiting read-write
> mode with wdired-finish-edit I end up with *Find* buffer containing
> only the header lines:
>
>   /tmp/48659:
>   789065 4 drwxr-xr-x 4 rpluim rpluim 4096 May 27 10:57 /tmp/48659/
>
> (but this happens even when the file names involved donʼt have spaces,
> so perhaps itʼs a more generic issue).

I think it's a different issue.  AFAIR reverting a find-dired buffer
after making changes with wdired never worked correctly, the buffer
contents never reflected the changes correctly, at least in the last
years.

But nevertheless I use this feature combination myself regularly, and I
never saw wdired performing unintended operations.

Michael.